Bug 598315 - Review Request: urjtag - A tool to flash/program/debug hardware via JTAG adapters
Review Request: urjtag - A tool to flash/program/debug hardware via JTAG adap...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-01 00:50 EDT by Andrew Himelstieb
Modified: 2012-01-31 17:04 EST (History)
7 users (show)

See Also:
Fixed In Version: urjtag-0.10-2.fc16.20111215gite1a4227
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-31 17:04:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chitlesh: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Andrew Himelstieb 2010-06-01 00:50:03 EDT
Spec URL: http://www.d2e.us/templates/d2e_template/urjtag.spec
SRPM URL: http://www.d2e.us/templates/d2e_template/urjtag-0.10-1.src.rpm
Description: a modern tool for communicating over JTAG with flash chips, CPUs -this is also my first package review request and I need a sponsor
Comment 1 Till Maas 2010-06-30 09:58:40 EDT
Andrew, did you perform some unofficial reviews?
Comment 2 Miloš Komarčević 2010-08-29 08:58:52 EDT
Hi Andrew, I'm not an official Fedora reviewer, but I'd like to offer some feedback to help you move things along sice I think this would be a vrey useful package for e.g. FEL:

- The spec file in your URL above contains some HTML tags so it is corrupt when downloaded, please fix

- Looking at the actual code, license should be GPLv2+

- Please use sentence case in the description, and feel free to be more verbose, e.g. a full paragraph from the web page...

- Add libusb-devel, libftdi-devel and readline-devel in BuildRequires to enable all the features of the program, it's a bit useless without them...

- No need for BuildRoot tag for F10 and later; no need for %clean section for F13 and later; maybe prefer using the %{buildroot} macro instead of $RPM_BUILD_ROOT variable in the %install section, see http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag

- %doc section is missing NEWS and perhaps ChangeLog

- %changelog section should list _your_ changes to the spec file, not the program's changes, see http://fedoraproject.org/wiki/Packaging/Guidelines#Changelogs
Comment 3 Chitlesh GOORAH 2010-10-07 17:03:30 EDT
Hello Andrew, can you please take a look at this page and see if you can add Milkymist's requirements in your package.
https://fedorahosted.org/fedora-electronic-lab/wiki/Milkymist

Afterwards, I'll do the review
Comment 4 Andrew Himelstieb 2010-10-10 15:48:20 EDT
Hello, and Thank you very much for your time and consideration.
I have updated the spec file with all required/requested adjustments and performed rpmlint and rpmbuild on spec file and sources and everything is good.

I have moved the location of these updated files to:
http://www.buffalosalt.com/urjtag.spec
http://www.buffalosalt.com/urjtag-0.10-1.fc13.src.rpm

I apologize ahead of time for the new urls, i'm just having a hard time finding a place to host them for now...

But everything should be good to go, I'm also going to finish up 3 more unofficial package reviews of my own from the mailing-list. I have already commented on a couple more before hand.

If this package is accepted, will I have a chance at getting sponsored?

Anyways, Thanks again for your time,
Drew Himelstieb
Comment 5 Chitlesh GOORAH 2010-10-10 16:19:10 EDT
(In reply to comment #4)
>I have updated the spec file with all required/requested adjustments and
> performed rpmlint and rpmbuild on spec file and sources and everything is good.

There is one small issue with the %description.
urjtag.i686: E: description-line-too-long C UrJTAG aims to create an enhanced, modern tool for communicating over JTAG with flash chips, CPUs, and many more. It is a descendant of the popular openwince JTAG tools with a lot of additional features and enhancements.

The solution to this is simply to reduce the number of words per line.

Another issue is the %name = UrJTAG and not urjtag. Likewise your spec file should be renamed to UrJTAG.spec

> I apologize ahead of time for the new urls, i'm just having a hard time finding
> a place to host them for now...

Every fedora packager receives about 150mb of space to host his/her contents for fedora.

the URL is <FAS_USERNAME>.fedorapeople.org

for example, my FAS_USERNAME is chitlesh : http://chitlesh.fedorapeople.org

read this for more details
http://fedoraproject.org/wiki/Infrastructure/fedorapeople.org

I'll do the review and sponsor you.

In order for me to sponsor you, tell me what is your FAS username ?

The package looks good.

Fix the above mentioned issues about the description and %name, I'll approve it.

I would welcome you to subscribe to the "Free Electronic Lab" mailing list as your package is related to electronic.
I will include your package in FEL LiveDVD. Also, I would like this package to be built for the EPEL-6 repository. The Milkymist hardware community is very interested in your package. On behalf of both FEL and Milkymist communities I thank you for helping us out by maintaining urljtag.
Comment 6 Bug Zapper 2010-11-03 09:45:58 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Cristian Paul Peñaranda Rojas 2011-08-21 13:57:56 EDT
I was going to compile this "package in review" and try to reproduce bug 732291 in fedora 15, but seems all the SRPM links above are broked, is this packing effort abandoned? or can you provide a updated links and status of the bug?
Comment 8 Chitlesh GOORAH 2011-12-04 09:55:32 EST
Hello Andrew,

Are you still interested in this package ?
If so, could you please post an updated SRPM for review ?
Comment 9 Scott Tsai 2011-12-15 07:18:12 EST
(In reply to comment #8)
Dear all, I'd like to take over submitting this package for Andrew to speed up the process of including it in Fedora. If my package passes review I'd of course welcome Andrew, Chitlesh, Cristian and other interested packagers as co-maintainers.

Spec: http://scottt.tw/fedora/urjtag.spec
SRPM: http://scottt.tw/fedora/urjtag-0.10-2.fc16.20111215gite1a4227.src.rpm

The last upstream release 0.10 was made in April, 2009.
I packaged a recent git snapshot that should contain all the patches mentioned on
https://fedorahosted.org/fedora-electronic-lab/wiki/Milkymist

Chitlesh, I'd like to keep %{name} as urjtag since both the upstream tarball and the Debian package is named that way.

rpmlint output:
urjtag.x86_64: W: shared-lib-calls-exit /usr/lib64/liburjtag.so.0.0.0 exit@GLIBC_2.2.5
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/intel/sa1110/sa1110
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/ep1c20f400/ep1c20f400
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/hitachi/sh7729/sh7729
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/atmel/atmega128/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/motorola/mpc8245/1.2
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/freescale/mpc8379/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/marvell/88f5182/88f5182-a2
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/intel/pxa250/pxa250c0
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/ti/tnetv1060/tnetv1060
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/atmel/atf15xx/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/ep1c12/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc2s200e-pq208/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/broadcom/bcm4712/bcm4712
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/lattice/m4a3-256.192-fpbga256/m4a3-256.192-fpbga256
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/ep1c12/ep1c12
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/motorola/mpc8241/1.2
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/marvell/88e1118/88e1118
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/toshiba/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xcr3032xl-vq44/xcr3032xl-vq44
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc3s1000/fg676
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/ep1c20f400/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/intel/pxa270/pxa270
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/analog/sharc21369/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/sigma/smp8634/smp8634
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/lattice/m4a3-64.32-tqfp48/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/intel/ixp425/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/lexra/lx5280/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/sharp/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc3s1000/fg320
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/MANUFACTURERS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/hitachi/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/marvell/88w8500/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/freescale/mpc5200/mpc5200
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/lattice/lc4128c-tqfp100/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc2s300e/pq208
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/toshiba/tx4925/tx4925
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/philips/xcr3128xl-vq100/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/philips/xcr3128xl-cs144/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/marvell/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/atmel/at32ap7000/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/marvell/88f5182/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/dec/sa1100/sa1100
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/sharp/lh7a400/lh7a400
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/analog/bf592/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/toshiba/tx4926/tx4926
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc2s300e/xc2s300e
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/lattice/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/analog/bf561/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/hitachi/ar7300/STEPPINGS
urjtag.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/urjtag-0.10/README.ejtag
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/toshiba/tmpa9xx/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/intel/sa1110/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/ti/tnetv1061/tnetv1061
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/sigma/smp8634/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/analog/bf527/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/lexra/lx5280/lx5280
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/ibm/ppc440gx/ppc440gx
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc2c256-vq100/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/toshiba/tmpa9xx/tmpa9xx
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/analog/sharc21369/sharc21369
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/intel/ixp465/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/analog/bf518/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/epm3064a/t44
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc2c256-vq100/xc2c256-vq100
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc18v02pc44/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/ep2c8/q208
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/broadcom/bcm6348/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/epm3064a/epm3064a
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/analog/sharc21065l/sharc21065l
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/lattice/lc4032v-tqfp48/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/atmel/atmega128/atmega128
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/analog/bf538/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/ep2c8/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/ep2c8/f256
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/ibm/ppc440gx/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/lattice/lc4032v-tqfp48/lc4032v-tqfp48
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/analog/bf548/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/broadcom/bcm6348/bcm6348
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc2c64a-vq44/STEPPINGS
urjtag.x86_64: E: library-without-ldconfig-postin /usr/lib64/liburjtag.so.0.0.0
urjtag.x86_64: E: library-without-ldconfig-postun /usr/lib64/liburjtag.so.0.0.0
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/intel/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/brecis/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc3s1000/ft256
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/philips/xcr3128xl-cs144/xcr3128xl-cs144
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/toshiba/tx4925/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc18v04pc44/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc2v1000-fg256/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc2v80-fg256/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/intel/pxa250/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/atmel/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/epm3064a/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/broadcom/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/lexra/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xcr3256xl-ft256/xcr3256xl-ft256
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/toshiba/tx4926/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/broadcom/bcm4702/bcm4702
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/freescale/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/intel/ixp425/ixp425
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/epm3064a/t100
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc2s300e/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/intel/pxa250/pxa250
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/broadcom/bcm3310/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/broadcom/bcm1250/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xcr3032xl-vq44/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/ti/tnetv1061/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/ep1c12/f256
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/broadcom/bcm6358/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xcr3128xl-cs144/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/ep1c12/f324
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/ti/tnetv1060/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/freescale/mpc8377/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/ep2c8/ep2c8
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/ep1c12/q240
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/epm7128aetc100/epm7128aetc100
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc2v250-fg256/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/marvell/88e1118/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc2s300e/fg456
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/freescale/mpc8378/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/ep1c6q240/ep1c6q240
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/lattice/m4a3-256.192-fpbga256/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/analog/sharc21065l/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/philips/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/lattice/lcmxo2-1200-csbga132/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/samsung/s3c4510b/s3c4510b
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/intel/pxa270/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/ti/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/admtek/adm5120/adm5120
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/atmel/at91sam7s256/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/broadcom/bcm4702/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/analog/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/broadcom/bcm6358/bcm6358
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/sharp/lh7a400/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/analog/bf506/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/atheros/ar2312/ar2312
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc2c256-tq144/xc2c256-tq144
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/sigma/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/lattice/lfec2-12e/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/marvell/88w8500/88w8500-ban
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/ep2c8/t144
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/dec/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/broadcom/bcm5421s/bcm5421s
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/epm7128aetc100/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/ep1c6q240/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc2c256-tq144/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc2s300e/ft256
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/broadcom/bcm4712/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/dec/sa1100/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/hitachi/sh7727/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/analog/bf533/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/hitachi/sh7727/sh7727
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/lattice/m4a3-64.32-tqfp48/m4a3-64.32-tqfp48
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/broadcom/bcm3310/bcm3310
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/broadcom/bcm1250/bcm1250
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/brecis/msp2006/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xcr3128xl-cs144/xcr3128xl-cs144
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xcr3128xl-vq100/xcr3128xl-vq100
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/atmel/atf15xx/atf1504asv
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/atmel/at32ap7000/at32ap7000
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/broadcom/bcm5421s/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xcr3256xl-ft256/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/lattice/lc4128c-tqfp100/lc4128c-tqfp100
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc3s1000/xc3s1000
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/altera/epm3064a/l44
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/lattice/lc4064zc/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/ibm/PARTS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/hitachi/sh7729/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/hitachi/hd64465/hd64465
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/philips/xcr3128xl-vq100/xcr3128xl-vq100
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/freescale/mpc5200/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/analog/bf537/STEPPINGS
urjtag.x86_64: E: incorrect-fsf-address /usr/share/urjtag/xilinx/xc3s1000/fg456
urjtag-python.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/urjtag.so urjtag.so()(64bit)
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/src/tap/usbconn_list.h
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/src/tap/cable/generic_usbconn.h
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/include/urjtag/types.h
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/include/urjtag/cable.h
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/include/urjtag/chain.h
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/include/urjtag/parport.h
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/include/urjtag/bsdl.h
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/src/tap/usbconn/libftdi.c
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/include/urjtag/error.h
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/src/cmd/cmd_stapl.c
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/src/tap/cable/cmd_xfer.h
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/include/urjtag/usbconn.h
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/src/stapl/stapl.c
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/include/urjtag/stapl.h
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/src/tap/cable/usbblaster.c
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/include/urjtag/pod.h
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/src/tap/cable/ft2232.c
urjtag-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/urjtag-20111215-git-e1a4227/urjtag/include/urjtag/log.h
urjtag-devel.x86_64: W: no-documentation
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/error.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/bitops.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/pld.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/types.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/data_register.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/tap.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/chain.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/part.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/bfin.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/tap_state.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/bssignal.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/bsdl_mode.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/log.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/parse.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/bsbit.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/bus.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/tap_register.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/pod.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/urjtag.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/usbconn.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/fclock.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/gettext.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/jtag.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/bsdl.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/cable.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/svf.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/parport.h
urjtag-devel.x86_64: E: incorrect-fsf-address /usr/include/urjtag/part_instruction.h
urjtag.src: W: invalid-url Source0: urjtag-20111215-git-e1a4227.tar.bz2
5 packages and 0 specfiles checked; 219 errors, 5 warnings.
Comment 10 Scott Tsai 2011-12-15 15:53:08 EST
Successful Koji build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3587585
Comment 11 Chitlesh GOORAH 2011-12-16 17:35:11 EST
Andrew, are you ok with this take over ?
Comment 12 Scott Tsai 2012-01-03 19:12:09 EST
(In reply to comment #11)
Dear all, ping?
Comment 13 Chitlesh GOORAH 2012-01-05 09:17:58 EST
#1: libtool requires both automake and autoconf.automake requires autoconf. Remove autoconf and automake from the BR list.

#2: libftdi-devel requires libusb-devel. Remove libusb-devel from the BR list.

#3: Missing "Group:" in the main package

#4: I'm ok with the naming.

What is the cable you are using to test this urjtag package?
Comment 14 Scott Tsai 2012-01-10 20:32:03 EST
(In reply to comment #13)
> What is the cable you are using to test this urjtag package?
I'm sending the following command to urjtag:
 cable ft2232 vid=0x0403 pid=0x6011
to drive the FTDI FT4232H chip built into the OpenRisc ordb2a-ep4ce22 board (see page 3 of ftp://openrisc.opencores.org/orpsoc/ordb2a-ep4ce22/ordb2a-ep4ce22_schematic.pdf)
Comment 15 Scott Tsai 2012-01-10 20:34:00 EST
(In reply to comment #13)
Spec: http://scottt.tw/fedora/urjtag.spec
SRPM: http://scottt.tw/fedora/urjtag-0.10-2.fc16.20111215gite1a4227.src.rpm

Fixed issues raised in comment 13:
#1: Removed autoconf and automake from BuildRequires
#2: Removed libusb-devel from BuildRequires
#3: Added Group tag in main package
Additionally, moved urjtag-python.txt from urjtag to urjtag-python subpackage.

diff --git a/urjtag.spec b/urjtag.spec
index fe6b236..d369155 100644
--- a/urjtag.spec
+++ b/urjtag.spec
@@ -2,6 +2,7 @@ Name:           urjtag
 Version:        0.10
 Release:        2%{?dist}.20111215gite1a4227
 Summary:        A tool for communicating over JTAG with flash chips and CPUs
+Group:          Development/Tools

 License:        GPLv2+
 URL:            http://urjtag.org
@@ -18,11 +19,8 @@ Source0:        urjtag-20111215-git-e1a4227.tar.bz2

 # We do autoreconf for the git snapshot
 BuildRequires:  gettext-devel
-BuildRequires:  autoconf
-BuildRequires:  automake
 BuildRequires:  libtool
 BuildRequires:  readline-devel
-BuildRequires:  libusb-devel
 BuildRequires:  libftdi-devel
 BuildRequires:  swig
 BuildRequires:  python-devel
@@ -80,7 +78,7 @@ rm -f %{buildroot}%{_libdir}/*.a
 %doc urjtag/README urjtag/NEWS urjtag/ChangeLog urjtag/COPYING urjtag/AUTHORS
 %doc urjtag/doc/howto_add_support_for_more_flash.txt
 %doc urjtag/doc/README.ejtag urjtag/doc/README.pld urjtag/doc/README.stapl
-%doc urjtag/doc/urjtag-python.txt urjtag/doc/UrJTAG.txt
+%doc urjtag/doc/UrJTAG.txt
 %{_bindir}/jtag
 %{_bindir}/bsdl2jtag
 %{_libdir}/liburjtag.so.*
@@ -98,6 +96,7 @@ rm -f %{buildroot}%{_libdir}/*.a
 %files python
 %{_libdir}/python*/site-packages/urjtag*.egg-info
 %{_libdir}/python*/site-packages/urjtag.so
+%doc urjtag/doc/urjtag-python.txt 
 %doc urjtag/bindings/python/t_urjtag_chain.py
 %doc urjtag/bindings/python/t_srst.py
Comment 16 Chitlesh GOORAH 2012-01-23 12:20:49 EST
- MUST: The package meets the Packaging Guidelines.
- MUST: The package is licensed  with an open-source compatible license and
meet other legal requirements as defined in the legal section of Packaging
Guidelines.
- MUST: The License field in the package spec file matches the actual license.
- MUST: the source package includes the text of the license(s) in its own file,
then that file, containing the text of the license(s) for the package is
included in %doc.
- MUST: The spec file must be written in American English.
- MUST: The spec file for the package is be legible. 
- MUST: The sources used to build the package must matches the upstream source,
as provided in the spec URL.
- MUST: The package successfully compiles and builds into binary rpms on at
least i386.
- MUST: All build dependencies is listed in BuildRequires.
- MUST: The spec file handles locales properly.
- MUST: If the package does not contain shared library files located in the
dynamic linker's default paths
- MUST: the package is not designed to be relocatable
- MUST: the package owns all directories that it creates.
- MUST: the package does not contain any duplicate files in the %files listing.
- MUST: Permissions on files are set properly.
- MUST: The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
- MUST: The package consistently uses macros, as described in the macros section
of Packaging Guidelines.
- MUST: The package contains code, or permissable content. This is described in
detail in the code vs. content section of Packaging Guidelines.
- MUST: There are no Large documentation files
- MUST: %doc does not affect the runtime of the application. To summarize: If it
is in %doc, the program must run properly if it is not present.
- MUST: There are no Header files or static libraries 
- MUST: The package does not contain library files with a suffix 
- MUST: Package does NOT contain any .la libtool archives
- MUST: Package does not own files or directories already owned by other packages. 

APPROVED
Comment 17 Scott Tsai 2012-01-23 18:53:14 EST
New Package SCM Request
=======================
Package Name: urjtag
Short Description: summary of package
Owners: foo bar
Branches: f15 f16 el6
InitialCC: baz
Comment 18 Scott Tsai 2012-01-23 18:55:32 EST
(Please ignore comment 17, copy paste fail)

New Package SCM Request
=======================
Package Name: urjtag
Short Description: A tool for communicating over JTAG with flash chips and CPUs
Owners: scottt
Branches: f16
InitialCC:
Comment 19 Gwyn Ciesla 2012-01-23 20:52:34 EST
Git done (by process-git-requests).
Comment 20 Fedora Update System 2012-01-23 22:52:38 EST
urjtag-0.10-2.fc16.20111215gite1a4227 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/urjtag-0.10-2.fc16.20111215gite1a4227
Comment 21 Chitlesh GOORAH 2012-01-24 01:24:02 EST
Package Change Request
======================
Package Name: urjtag
New Branches: A tool for communicating over JTAG with flash chips and CPUs
Owners: scottt chitlesh
Branches: f16 el6
InitialCC:
Comment 22 Fedora Update System 2012-01-24 02:58:06 EST
urjtag-0.10-2.fc16.20111215gite1a4227 has been pushed to the Fedora 16 testing repository.
Comment 23 Gwyn Ciesla 2012-01-24 05:59:23 EST
MIsformed request, please re-request.
Comment 24 Scott Tsai 2012-01-24 07:48:25 EST
Package Change Request
======================
Package Name: urjtag
New Branches: el6
Owners: scottt chitlesh
Comment 25 Gwyn Ciesla 2012-01-24 08:57:20 EST
Git done (by process-git-requests).
Comment 26 Fedora Update System 2012-01-31 17:04:15 EST
urjtag-0.10-2.fc16.20111215gite1a4227 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.